#!/bin/bash

TARGET="$HOME/bin/transform-workspace.d"
SOURCE="/media/datos-virtual/data/workspaces/gvsig-desktop-new"

function copy() {
  # $1 - Source pathname
  # $2 - group
  # $3 - pom name
  echo "$2 - $3"
  cp "$SOURCE/$1" "$TARGET/$2/$3"
}

function copy_compat_cdc_poms() {
  X="org.gvsig.desktop/org.gvsig.desktop.compat.cdc"
  copy $X/pom.xml org.gvsig.desktop.compat.cdc pom.xml
  copy $X/org.gvsig.compat/pom.xml org.gvsig.compat pom.xml
  copy $X/org.gvsig.compat/org.gvsig.compat.api/pom.xml org.gvsig.compat api.pom.xml
  copy $X/org.gvsig.compat/org.gvsig.compat.se/pom.xml org.gvsig.compat se.pom.xml
  copy $X/org.gvsig.projection/pom.xml org.gvsig.projection pom.xml
  copy $X/org.gvsig.projection/org.gvsig.projection.api/pom.xml org.gvsig.projection api.pom.xml
  copy $X/org.gvsig.remoteclient/pom.xml org.gvsig.remoteclient pom.xml
  copy $X/org.gvsig.fmap.mapcontext/pom.xml org.gvsig.fmap.mapcontext pom.xml
  copy $X/org.gvsig.fmap.mapcontext/org.gvsig.fmap.mapcontext.api/pom.xml org.gvsig.fmap.mapcontext api.pom.xml
  copy $X/org.gvsig.fmap.mapcontext/org.gvsig.fmap.mapcontext.impl/pom.xml org.gvsig.fmap.mapcontext impl.pom.xml
  copy $X/org.gvsig.fmap.mapcontext/org.gvsig.fmap.mapcontext.operation/pom.xml org.gvsig.fmap.mapcontext operation.pom.xml
  copy $X/org.gvsig.i18n/pom.xml org.gvsig.i18n pom.xml
  copy $X/org.gvsig.fmap.dal/pom.xml org.gvsig.fmap.dal pom.xml
  copy $X/org.gvsig.fmap.dal/org.gvsig.fmap.dal.api/pom.xml org.gvsig.fmap.dal api.pom.xml
  copy $X/org.gvsig.fmap.dal/org.gvsig.fmap.dal.impl/pom.xml org.gvsig.fmap.dal impl.pom.xml
  copy $X/org.gvsig.fmap.dal/org.gvsig.fmap.dal.spi/pom.xml org.gvsig.fmap.dal spi.pom.xml
  copy $X/org.gvsig.fmap.dal/org.gvsig.fmap.dal.file/pom.xml org.gvsig.fmap.dal file.pom.xml
  copy $X/org.gvsig.fmap.dal/org.gvsig.fmap.dal.file/org.gvsig.fmap.dal.file.lib/pom.xml org.gvsig.fmap.dal file.lib.pom.xml
  copy $X/org.gvsig.fmap.dal/org.gvsig.fmap.dal.file/org.gvsig.fmap.dal.file.dbf/pom.xml org.gvsig.fmap.dal file.dbf.pom.xml
  copy $X/org.gvsig.fmap.dal/org.gvsig.fmap.dal.file/org.gvsig.fmap.dal.file.shp/pom.xml org.gvsig.fmap.dal file.shp.pom.xml
  copy $X/org.gvsig.fmap.dal/org.gvsig.fmap.dal.db/pom.xml org.gvsig.fmap.dal db.pom.xml
  copy $X/org.gvsig.fmap.dal/org.gvsig.fmap.dal.db/org.gvsig.fmap.dal.db.lib/pom.xml org.gvsig.fmap.dal db.lib.pom.xml
  copy $X/org.gvsig.fmap.dal/org.gvsig.fmap.dal.db/org.gvsig.fmap.dal.db.jdbc/pom.xml org.gvsig.fmap.dal db.jdbc.pom.xml
  copy $X/org.gvsig.fmap.dal/org.gvsig.fmap.dal.db/org.gvsig.fmap.dal.db.h2/pom.xml org.gvsig.fmap.dal db.h2.pom.xml
  copy $X/org.gvsig.fmap.geometry/pom.xml org.gvsig.fmap.geometry pom.xml
  copy $X/org.gvsig.fmap.geometry/org.gvsig.fmap.geometry.api/pom.xml org.gvsig.fmap.geometry api.pom.xml
  copy $X/org.gvsig.fmap.geometry/org.gvsig.fmap.geometry.impl/pom.xml org.gvsig.fmap.geometry impl.pom.xml
  copy $X/org.gvsig.fmap.geometry/org.gvsig.fmap.geometry.operation/pom.xml org.gvsig.fmap.geometry operation.pom.xml

}

function copy_library_poms() {

  X="./org.gvsig.desktop/org.gvsig.desktop.library"

  copy $X/pom.xml org.gvsig.desktop.library pom.xml
  copy $X/org.gvsig.utils/pom.xml org.gvsig.utils pom.xml
  copy $X/org.gvsig.ui/pom.xml org.gvsig.ui pom.xml
  copy $X/org.gvsig.fmap.control/pom.xml org.gvsig.fmap.control pom.xml
  copy $X/org.gvsig.annotation/pom.xml org.gvsig.annotation pom.xml
  copy $X/org.gvsig.annotation/org.gvsig.annotation.lib/org.gvsig.annotation.lib.impl/pom.xml org.gvsig.annotation lib.impl.pom.xml
  copy $X/org.gvsig.annotation/org.gvsig.annotation.lib/org.gvsig.annotation.lib.api/pom.xml org.gvsig.annotation lib.api.pom.xml
  copy $X/org.gvsig.annotation/org.gvsig.annotation.lib/pom.xml org.gvsig.annotation lib.pom.xml
  copy $X/org.gvsig.annotation/org.gvsig.annotation.main/pom.xml org.gvsig.annotation main.pom.xml
  copy $X/org.gvsig.annotation/org.gvsig.annotation.swing/org.gvsig.annotation.swing.impl/pom.xml org.gvsig.annotation swing.impl.pom.xml
  copy $X/org.gvsig.annotation/org.gvsig.annotation.swing/org.gvsig.annotation.swing.api/pom.xml org.gvsig.annotation swing.api.pom.xml
  copy $X/org.gvsig.annotation/org.gvsig.annotation.swing/pom.xml org.gvsig.annotation swing.pom.xml
  copy $X/org.gvsig.exportto/pom.xml org.gvsig.exportto pom.xml
  copy $X/org.gvsig.exportto/org.gvsig.exportto.lib/org.gvsig.exportto.lib.api/pom.xml org.gvsig.exportto lib.api.pom.xml
  copy $X/org.gvsig.exportto/org.gvsig.exportto.lib/org.gvsig.exportto.lib.impl/pom.xml org.gvsig.exportto lib.impl.pom.xml
  copy $X/org.gvsig.exportto/org.gvsig.exportto.lib/pom.xml org.gvsig.exportto lib.pom.xml
  copy $X/org.gvsig.exportto/org.gvsig.exportto.main/pom.xml org.gvsig.exportto main.pom.xml
  copy $X/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.file/pom.xml org.gvsig.exportto swing.prov.file.pom.xml
  copy $X/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.shape/pom.xml org.gvsig.exportto swing.prov.shape.pom.xml
  copy $X/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.dxf/pom.xml org.gvsig.exportto swing.prov.dxf.pom.xml
  copy $X/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.jdbc/pom.xml org.gvsig.exportto swing.prov.jdbc.pom.xml
  copy $X/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.postgresql/pom.xml org.gvsig.exportto swing.prov.postgresql.pom.xml
  copy $X/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.mysql/pom.xml org.gvsig.exportto swing.prov.mysql.pom.xml
  copy $X/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.dbf/pom.xml org.gvsig.exportto swing.prov.dbf.pom.xml
  copy $X/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.generic/pom.xml org.gvsig.exportto swing.prov.generic.pom.xml
  copy $X/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/pom.xml org.gvsig.exportto swing.prov.pom.xml
  copy $X/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.api/pom.xml org.gvsig.exportto swing.api.pom.xml
  copy $X/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.spi/pom.xml org.gvsig.exportto swing.spi.pom.xml
  copy $X/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.impl/pom.xml org.gvsig.exportto swing.impl.pom.xml
  copy $X/org.gvsig.exportto/org.gvsig.exportto.swing/pom.xml org.gvsig.exportto swing.pom.xml
  copy $X/org.gvsig.installer/pom.xml org.gvsig.installer pom.xml
  copy $X/org.gvsig.installer/org.gvsig.installer.lib/org.gvsig.installer.lib.spi/pom.xml org.gvsig.installer lib.spi.pom.xml
  copy $X/org.gvsig.installer/org.gvsig.installer.lib/org.gvsig.installer.lib.impl/pom.xml org.gvsig.installer lib.impl.pom.xml
  copy $X/org.gvsig.installer/org.gvsig.installer.lib/org.gvsig.installer.lib.api/pom.xml org.gvsig.installer lib.api.pom.xml
  copy $X/org.gvsig.installer/org.gvsig.installer.lib/pom.xml org.gvsig.installer lib.pom.xml
  copy $X/org.gvsig.installer/org.gvsig.installer.main/pom.xml org.gvsig.installer main.pom.xml
  copy $X/org.gvsig.installer/org.gvsig.installer.maven/pom.xml org.gvsig.installer maven.pom.xml
  copy $X/org.gvsig.installer/org.gvsig.installer.prov/org.gvsig.installer.prov.plugin/pom.xml org.gvsig.installer prov.plugin.pom.xml
  copy $X/org.gvsig.installer/org.gvsig.installer.prov/pom.xml org.gvsig.installer prov.pom.xml
  copy $X/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.api/pom.xml org.gvsig.installer swing.api.pom.xml
  copy $X/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/pom.xml org.gvsig.installer swing.impl.pom.xml
  copy $X/org.gvsig.installer/org.gvsig.installer.swing/pom.xml org.gvsig.installer swing.pom.xml
  copy $X/org.gvsig.newlayer/pom.xml org.gvsig.newlayer pom.xml
  copy $X/org.gvsig.newlayer/org.gvsig.newlayer.lib/org.gvsig.newlayer.lib.impl/pom.xml org.gvsig.newlayer lib.impl.pom.xml
  copy $X/org.gvsig.newlayer/org.gvsig.newlayer.lib/org.gvsig.newlayer.lib.api/pom.xml org.gvsig.newlayer lib.api.pom.xml
  copy $X/org.gvsig.newlayer/org.gvsig.newlayer.lib/pom.xml org.gvsig.newlayer lib.pom.xml
  copy $X/org.gvsig.newlayer/org.gvsig.newlayer.prov/org.gvsig.newlayer.prov.generic/pom.xml org.gvsig.newlayer prov.generic.pom.xml
  copy $X/org.gvsig.newlayer/org.gvsig.newlayer.prov/org.gvsig.newlayer.prov.file/pom.xml org.gvsig.newlayer prov.file.pom.xml
  copy $X/org.gvsig.newlayer/org.gvsig.newlayer.prov/org.gvsig.newlayer.prov.shape/pom.xml org.gvsig.newlayer prov.shape.pom.xml
  copy $X/org.gvsig.newlayer/org.gvsig.newlayer.prov/pom.xml org.gvsig.newlayer prov.pom.xml
  copy $X/org.gvsig.personaldb/pom.xml org.gvsig.personaldb pom.xml
  copy $X/org.gvsig.personaldb/org.gvsig.personaldb.lib/org.gvsig.personaldb.lib.impl/pom.xml org.gvsig.personaldb lib.impl.pom.xml
  copy $X/org.gvsig.personaldb/org.gvsig.personaldb.lib/org.gvsig.personaldb.lib.api/pom.xml org.gvsig.personaldb lib.api.pom.xml
  copy $X/org.gvsig.personaldb/org.gvsig.personaldb.lib/pom.xml org.gvsig.personaldb lib.pom.xml
  copy $X/org.gvsig.personaldb/org.gvsig.personaldb.main/pom.xml org.gvsig.personaldb main.pom.xml
  copy $X/org.gvsig.symbology/pom.xml org.gvsig.symbology pom.xml
  copy $X/org.gvsig.symbology/org.gvsig.symbology.lib/org.gvsig.symbology.lib.api/pom.xml org.gvsig.symbology lib.api.pom.xml
  copy $X/org.gvsig.symbology/org.gvsig.symbology.lib/org.gvsig.symbology.lib.impl/pom.xml org.gvsig.symbology lib.impl.pom.xml
  copy $X/org.gvsig.symbology/org.gvsig.symbology.lib/pom.xml org.gvsig.symbology lib.pom.xml
  copy $X/org.gvsig.symbology/org.gvsig.symbology.main/pom.xml org.gvsig.symbology main.pom.xml
  copy $X/org.gvsig.symbology/org.gvsig.symbology.swing/org.gvsig.symbology.swing.api/pom.xml org.gvsig.symbology swing.api.pom.xml
  copy $X/org.gvsig.symbology/org.gvsig.symbology.swing/org.gvsig.symbology.swing.impl/pom.xml org.gvsig.symbology swing.impl.pom.xml
  copy $X/org.gvsig.symbology/org.gvsig.symbology.swing/pom.xml org.gvsig.symbology swing.pom.xml 

}

function copy_plugin_poms() {

  copy $X/org.gvsig.XXX.app/org.gvsig.XXX.app.mainplugin/src/main/assembly/gvsig-plugin-package.xml org.gvsig.XXX.app mainplugin.gvsig-plugin-package.xml


  X="./org.gvsig.desktop/org.gvsig.desktop.plugin"

  copy $X/pom.xml org.gvsig.desktop.plugin pom.xml
  copy $X/org.gvsig.app/pom.xml org.gvsig.app pom.xml
  copy $X/org.gvsig.app/org.gvsig.app.mainplugin/pom.xml org.gvsig.app mainplugin.pom.xml
  copy $X/org.gvsig.app/org.gvsig.app.mainplugin/src/main/assembly/gvsig-plugin-package.xml org.gvsig.app mainplugin.gvsig-plugin-package.xml

  copy $X/org.gvsig.coreplugin.app/pom.xml org.gvsig.coreplugin.app pom.xml
  copy $X/org.gvsig.coreplugin.app/org.gvsig.coreplugin.app.mainplugin/pom.xml org.gvsig.coreplugin.app mainplugin.pom.xml
  copy $X/org.gvsig.coreplugin.app/org.gvsig.coreplugin.app.mainplugin/src/main/assembly/gvsig-plugin-package.xml org.gvsig.coreplugin.app mainplugin.gvsig-plugin-package.xml

  copy $X/org.gvsig.annotation.app/org.gvsig.annotation.app.mainplugin/pom.xml org.gvsig.annotation.app mainplugin.pom.xml
  copy $X/org.gvsig.annotation.app/pom.xml org.gvsig.annotation.app pom.xml
  copy $X/org.gvsig.annotation.app/org.gvsig.annotation.app.mainplugin/src/main/assembly/gvsig-plugin-package.xml org.gvsig.annotation.app mainplugin.gvsig-plugin-package.xml

  copy $X/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/pom.xml org.gvsig.app.document.table.app mainplugin.pom.xml
  copy $X/org.gvsig.app.document.table.app/pom.xml org.gvsig.app.document.table.app pom.xml
  copy $X/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/assembly/gvsig-plugin-package.xml org.gvsig.app.document.table.app mainplugin.gvsig-plugin-package.xml

  copy $X/org.gvsig.daltransform.app/org.gvsig.daltransform.app.mainplugin/pom.xml  org.gvsig.daltransform.app mainplugin.pom.xml
  copy $X/org.gvsig.daltransform.app/org.gvsig.daltransform.app.mainplugin/src/main/assembly/gvsig-plugin-package.xml org.gvsig.daltransform.app mainplugin.gvsig-plugin-package.xml

  copy $X/org.gvsig.daltransform.app/org.gvsig.daltransform.app.join/pom.xml  org.gvsig.daltransform.app join.pom.xml
  copy $X/org.gvsig.daltransform.app/org.gvsig.daltransform.app.join/src/main/assembly/gvsig-plugin-package.xml org.gvsig.daltransform.app join.gvsig-plugin-package.xml

  copy $X/org.gvsig.daltransform.app/org.gvsig.daltransform.app.eventtheme/pom.xml  org.gvsig.daltransform.app eventtheme.pom.xml
  copy $X/org.gvsig.daltransform.app/org.gvsig.daltransform.app.eventtheme/src/main/assembly/gvsig-plugin-package.xml org.gvsig.daltransform.app eventtheme.gvsig-plugin-package.xml

  copy $X/org.gvsig.daltransform.app/pom.xml org.gvsig.daltransform.app pom.xml

  copy $X/org.gvsig.exportto.app/org.gvsig.exportto.app.mainplugin/pom.xml org.gvsig.exportto.app mainplugin.pom.xml
  copy $X/org.gvsig.exportto.app/pom.xml org.gvsig.exportto.app pom.xml
  copy $X/org.gvsig.exportto.app/org.gvsig.exportto.app.mainplugin/src/main/assembly/gvsig-plugin-package.xml org.gvsig.exportto.app mainplugin.gvsig-plugin-package.xml

  copy $X/org.gvsig.geometrymeasurement.app/org.gvsig.geometrymeasurement.app.mainplugin/pom.xml org.gvsig.geometrymeasurement.app mainplugin.pom.xml
  copy $X/org.gvsig.geometrymeasurement.app/pom.xml org.gvsig.geometrymeasurement.app pom.xml
  copy $X/org.gvsig.geometrymeasurement.app/org.gvsig.geometrymeasurement.app.mainplugin/src/main/assembly/gvsig-plugin-package.xml org.gvsig.geometrymeasurement.app mainplugin.gvsig-plugin-package.xml

  copy $X/org.gvsig.installer.app/org.gvsig.installer.app.mainplugin/pom.xml org.gvsig.installer.app mainplugin.pom.xml
  copy $X/org.gvsig.installer.app/pom.xml org.gvsig.installer.app pom.xml
  copy $X/org.gvsig.installer.app/org.gvsig.installer.app.mainplugin/src/main/assembly/gvsig-plugin-package.xml org.gvsig.installer.app mainplugin.gvsig-plugin-package.xml

  copy $X/org.gvsig.mkmvnproject.app/org.gvsig.mkmvnproject.app.mainplugin/pom.xml org.gvsig.mkmvnproject.app mainplugin.pom.xml
  copy $X/org.gvsig.mkmvnproject.app/pom.xml org.gvsig.mkmvnproject.app pom.xml
  copy $X/org.gvsig.mkmvnproject.app/org.gvsig.mkmvnproject.app.mainplugin/src/main/assembly/gvsig-plugin-package.xml org.gvsig.mkmvnproject.app mainplugin.gvsig-plugin-package.xml

  copy $X/org.gvsig.newlayer.app/org.gvsig.newlayer.app.mainplugin/pom.xml org.gvsig.newlayer.app mainplugin.pom.xml
  copy $X/org.gvsig.newlayer.app/pom.xml org.gvsig.newlayer.app pom.xml
  copy $X/org.gvsig.newlayer.app/org.gvsig.newlayer.app.mainplugin/src/main/assembly/gvsig-plugin-package.xml org.gvsig.newlayer.app mainplugin.gvsig-plugin-package.xml

  copy $X/org.gvsig.selectiontools.app/org.gvsig.selectiontools.app.mainplugin/pom.xml org.gvsig.selectiontools.app mainplugin.pom.xml
  copy $X/org.gvsig.selectiontools.app/pom.xml org.gvsig.selectiontools.app pom.xml
  copy $X/org.gvsig.selectiontools.app/org.gvsig.selectiontools.app.mainplugin/src/main/assembly/gvsig-plugin-package.xml org.gvsig.selectiontools.app mainplugin.gvsig-plugin-package.xml

  copy $X/org.gvsig.symbology.app/org.gvsig.symbology.app.importsymbols/pom.xml org.gvsig.symbology.app importsymbols.pom.xml
  copy $X/org.gvsig.symbology.app/org.gvsig.symbology.app.importsymbols/src/main/assembly/gvsig-plugin-package.xml org.gvsig.symbology.app importsymbols.gvsig-plugin-package.xml
  copy $X/org.gvsig.symbology.app/org.gvsig.symbology.app.symbolinstaller/pom.xml org.gvsig.symbology.app symbolinstaller.pom.xml
  copy $X/org.gvsig.symbology.app/org.gvsig.symbology.app.symbolinstaller/src/main/assembly/gvsig-plugin-package.xml org.gvsig.symbology.app symbolinstaller.gvsig-plugin-package.xml
  copy $X/org.gvsig.symbology.app/pom.xml org.gvsig.symbology.app pom.xml

  copy $X/org.gvsig.centerviewpoint.app/org.gvsig.centerviewpoint.app.mainplugin/pom.xml org.gvsig.symbology.app mainplugin.pom.xml
  copy $X/org.gvsig.centerviewpoint.app/pom.xml org.gvsig.centerviewpoint.app pom.xml
  copy $X/org.gvsig.centerviewpoint.app/org.gvsig.centerviewpoint.app.mainplugin/src/main/assembly/gvsig-plugin-package.xml org.gvsig.centerviewpoint.app mainplugin.gvsig-plugin-package.xml

  copy $X/org.gvsig.datalocator.app/pom.xml org.gvsig.datalocator.app pom.xml
  copy $X/org.gvsig.datalocator.app/org.gvsig.datalocator.app.mainplugin/pom.xml org.gvsig.datalocator.app mainplugin.pom.xml
  copy $X/org.gvsig.datalocator.app/org.gvsig.datalocator.app.mainplugin/src/main/assembly/gvsig-plugin-package.xml org.gvsig.datalocator.app mainplugin.gvsig-plugin-package.xml

  copy $X/org.gvsig.editing.app/pom.xml org.gvsig.editing.app pom.xml
  copy $X/org.gvsig.editing.app/org.gvsig.editing.app.mainplugin/pom.xml org.gvsig.editing.app mainplugin.pom.xml
  copy $X/org.gvsig.editing.app/org.gvsig.editing.app.mainplugin/src/main/assembly/gvsig-plugin-package.xml org.gvsig.editing.app mainplugin.gvsig-plugin-package.xml

  copy $X/org.gvsig.geodb.app/pom.xml org.gvsig.geodb.app pom.xml
  copy $X/org.gvsig.geodb.app/org.gvsig.geodb.app.mainplugin/pom.xml org.gvsig.geodb.app mainplugin.pom.xml
  copy $X/org.gvsig.geodb.app/org.gvsig.geodb.app.mainplugin/src/main/assembly/gvsig-plugin-package.xml org.gvsig.geodb.app mainplugin.gvsig-plugin-package.xml

  copy $X/org.gvsig.help.app/pom.xml org.gvsig.help.app pom.xml
  copy $X/org.gvsig.help.app/org.gvsig.help.app.mainplugin/pom.xml org.gvsig.help.app mainplugin.pom.xml
  copy $X/org.gvsig.help.app/org.gvsig.help.app.mainplugin/src/main/assembly/gvsig-plugin-package.xml org.gvsig.help.app mainplugin.gvsig-plugin-package.xml

  copy $X/org.gvsig.i18n.app/pom.xml org.gvsig.i18n.app pom.xml
  copy $X/org.gvsig.i18n.app/org.gvsig.i18n.app.mainplugin/pom.xml org.gvsig.i18n.app mainplugin.pom.xml
  copy $X/org.gvsig.i18n.app/org.gvsig.i18n.app.mainplugin/src/main/assembly/gvsig-plugin-package.xml org.gvsig.i18n.app mainplugin.gvsig-plugin-package.xml


}

function copy_externals_poms() {

  X="./org.gvsig.desktop/org.gvsig.desktop"

  echo "

  FIXME: Falta copiar los poms de los proyectos externos

"
}

function copy_framework_poms() {

  X="./org.gvsig.desktop/org.gvsig.desktop.framework"

  copy $X/pom.xml org.gvsig.desktop.framework pom.xml
  copy $X/org.gvsig.andami/pom.xml org.gvsig.andami pom.xml
  copy $X/org.gvsig.andami/src/main/assembly/gvsig-andami-package.xml org.gvsig.andami gvsig-andami-package.xml
  copy $X/org.gvsig.andami.updater/pom.xml org.gvsig.andami.updater pom.xml
}

function main() {
  copy org.gvsig.desktop/pom.xml org.gvsig.desktop pom.xml
  copy org.gvsig.desktop/maven-howto.rst org.gvsig.desktop maven-howto.rst
  copy org.gvsig.desktop/README.txt org.gvsig.desktop README.txt
  copy org.gvsig.desktop/src/main/assembly/gvsig-root-folder-package.xml org.gvsig.desktop gvsig-root-folder-package.xml
  copy org.gvsig.desktop/org.gvsig.desktop.buildtools/pom.xml org.gvsig.desktop.buildtools pom.xml
  copy org.gvsig.desktop/org.gvsig.desktop.buildtools/src/main/resources/assemblies/gvsig-plugin-package.xml org.gvsig.desktop.buildtools gvsig-plugin-package.xml
  
  copy_framework_poms
  copy_compat_cdc_poms
  copy_library_poms
  copy_plugin_poms
  copy_externals_poms

}

main

